HomeDocumentationAPI ReferenceChangelog
Platform OverviewDemoContactImprintLog In
API Reference

Update a CustomerPaymentAccount

Update a CustomerPaymentAccount.

Path Params
string
required

Ident of the customer payment account.

Query Params
string

Optional action executed after a CustomerPaymentAccount has been persisted.

  • replaceFailedPaymentIntents: Replace failed payment intents of the debtor.
    Newly created payment intents reference this CustomerPaymentAccount.

Omitting the parameter does not cancel or create payment intents. Unknown values are rejected with HTTP 400.
One of:

replaceFailedPaymentIntents
Body Params

A CustomerPaymentAccount with payment details that is assigned to a specific debtorIdent.

Date when the payment account was created at the payment provider. Required e.g. for some external mandate managements in the SEPA environment.

string | null

Account holder name used for the charging.
Size must be less than or equal to 255.

string | null

Name for the customer payment account displayed on invoices. Do not send full payment data like credit card no, IBAN, etc.
Size must be less than or equal to 255.

string
required
length between 1 and 100
^[a-zA-Z0-9_.~-]*$

Unique identifier.

string | null
deprecated

Name of the customer payment account.
Size must be less than or equal to 255.

CardType | null

The vendor of the credit card.

CustomerPaymentMethod | null

Payment method associated with the customerPaymentAccount via the paymentProviderReference. The specification is only for further explanation and has no effect on the actual selection of the payment method. This is determined entirely by specifying the paymentProviderReference or additionally by the paymentMethodReference.

string | null

External reference to identify the authorization or mandate of the payment method at the payment provider. This is optional because some payment providers require a general customer reference (paymentProviderReference) and a payment method reference (paymentMethodReference) in order to process a payment.
Size must be less than or equal to 255.

string
required
length between 1 and 255
^\S(.*\S)?$

External reference to identify the account at the payment provider. For example the IBAN when using DIRECT_DEBIT as PaymentProviderType.
Must not be null.
Size must be between 1 and 255.
Must match the regular expression ^\S(.*\S)?$.

array | null

Additional properties of the customer payment account.

Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Choose an example:
application/json